:root {
  --primary: #69f0ae;
  --secondary: #777777;
  --light: #F8F8F8;
  --dark: #1c1d1f;
}

body {
  font-size: 17px;
  color: #1c1d1f;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  font-family: "Microsoft JhengHei", "微軟正黑體", sans-serif;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
.main-container{
  flex: 1;
  position: relative;
}
h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
  margin-top: 0;
  margin-bottom: .5rem;
  font-weight: 600;
  line-height: 1.2;
  color: #1c1d1f;
}

/* 
---------------------------------------------
global styles
--------------------------------------------- 
*/

a{ text-decoration: none;}
a:hover,
a:active,
a:focus{
  color: #ef5049;
  text-decoration: none;
}
button,
.btn:focus,
.btn:active,
.btn:focus,
.navbar-toggler:focus,
a:focus,
.btn-close:focus,
.form-control:focus,
.form-select:focus,
.form-check-input:focus,
.accordion-button:focus,
.page-link:focus{
  outline: none;
  box-shadow: none;
}
.hr-bold {
  border: 1.5px solid #4c4c4c;
  margin: 4rem 0;
}
.text-green{ color: #0d8772;}
.text-lightgray{ color: #848484;}
.underline-green{
  border-bottom: solid 9px #69f0ae;
  width: 80px;
  line-height: 1.6;
}
.wrap-block{
  white-space: pre-wrap;
  word-break: break-all;
}
/* pagination */
.pagination li a.page-link{
  color: #444;
  background-color: transparent;
  font-size: 18px;
  font-weight: 600;
  line-height: 35px;
  height: 37px;
  width: 35px;
  padding: 0;
  margin: 0 12px;
  border: 0px;
  border-bottom: 4px solid transparent;
  border-radius: 0!important;
  position: relative;
  z-index: 1;
  transition: all 0.4s ease 0s;
  text-align: center;
}
.pagination li.active a.page-link,
.pagination li a.page-link:hover{
  color: #444;
  background-color: transparent;
  border-bottom: 4px solid #69F0AE;
}
.pagination li:first-child a.page-link,
.pagination li:last-child a.page-link,
.pagination li.disabled a.page-link{
  background-color: transparent;
  border-width: 0px;
}
.pagination li.disabled a.page-link{
  color: #cccccc;
}
/* 
---------------------------------------------
bootstrap 修改或擴寫
--------------------------------------------- 
*/
.text-justify{ text-align: justify;}
.shadow{ box-shadow: 0px 0px 8px rgba(0,0,0,0.15)!important;}
.rounded-4{ border-radius: 0.4rem;}
.rounded-5{ border-radius: 0.5rem;}
.py-7 {
  padding-top: 3rem;
  padding-bottom: 3rem;
}
.py-11 {
  padding-top: 6rem;
  padding-bottom: 6rem;
}
.py-20 {
  padding-top: 10rem;
  padding-bottom: 10rem;
}
.lh-sm{ line-height: 1.4!important;}
.lh-md{ line-height: 1.7;}

.mt-6{ margin-top: 3.5rem;}
.mt-7{ margin-top: 4rem;}
.mt-9{ margin-top: 5rem;}

.fs-30px{ font-size: 30px;}
.fs-28px{ font-size: 28px;}
.fs-26px{ font-size: 26px;}
.fs-24px{ font-size: 24px;}
.fs-22px{ font-size: 22px;}
.fs-20px{ font-size: 20px;}
.fs-18px{ font-size: 18px;}
.fs-15px{ font-size: 15px;}
.fs-14px{ font-size: 14px;}
.fs-13px{ font-size: 13px;}
.fs-12px{ font-size: 12px;}
.fs-7{ font-size: 0.8rem;}
.fs-8{ font-size: 0.7rem;}
.bg-lightgray{ background: #F4F4F4;}
.btn{
  font-weight: 500;
  transition: .5s;
}
.btn-square{
  width: 38px;
  height: 38px;
}
.btn-sm-square{
  width: 32px;
  height: 32px;
}
.btn-lg-square {
  width: 48px;
  height: 48px;
}
.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}
.btn-primary {
  color: #1c1d1f;
  background-color: #69f0ae;
  border-color: #69f0ae;
}
.btn-primary:hover,
.btn-primary:focus{
  color: #fff;
  background-color: #0d8772;
  border-color: #0d8772;
}
@media screen and (max-width: 991.9px){
  .lg-fs-20px{ font-size: 20px;}
  .lg-fs-18px{ font-size: 18px;}
  .lg-fs-16px{ font-size: 16px;}
  .lg-fs-15px{ font-size: 15px;}
}
@media screen and (max-width: 575.9px){
  .sm-fs-24px{ font-size: 24px;}
  .sm-fs-20px{ font-size: 20px;}
  .sm-fs-18px{ font-size: 18px;}
  .sm-fs-17px{ font-size: 17px;}
  .sm-fs-16px{ font-size: 16px;}
  .sm-fs-15px{ font-size: 15px;}
  .sm-fs-14px{ font-size: 14px;}
  .sm-py-7 {
    padding-top: 3rem;
    padding-bottom: 3rem;
  }
  .sm-py-10 {
    padding-top: 5rem;
    padding-bottom: 5rem;
  }
}
/* 
---------------------------------------------
loading page-header menu footer 
--------------------------------------------- 
*/
/*loading*/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity .5s ease-out, visibility 0s linear .5s;
  z-index: 99999;
}
#spinner.show {
  transition: opacity .5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}
/*top menu*/
.top-nav{
  padding: 1rem;
  background: #69f0ae;
  margin-bottom: 2rem;
  text-align: center;
  font-size: 1.2rem;
  font-weight: 600;
}
.top-nav a{ 
  display: inline-block;
  color: #000;
  margin: 0 8px;
}
.top-nav a:first-child{ margin-left: 0px;}
.top-nav a:last-child{ margin-right: 0px;}
.top-nav a:hover,
.top-nav a:active,
.top-nav a.active{
  color: #007a75; 
}
/*page-header*/
.index-header{
  background: linear-gradient(rgba(0, 0, 0, .1), rgba(0, 0, 0, .1)), url(../images/mani-bn-1440x600px.jpg) center center no-repeat;
  background-size: cover;
}
.breadcrumb-item+.breadcrumb-item::before{
  color: var(--secondary);
}
.index-header .breadcrumb-item+.breadcrumb-item::before{
  color: var(--light);
}
.page-header{
  background-size: cover;
  height: 600px;
}
.artwork-container .page-header{
  background: url(../images/bg-artworks.jpg) right center no-repeat;
}
.training-container .page-header{
  background: url(../images/bg-trainingclass.jpg) center center no-repeat;
}
.info-container .page-header{
  background: url(../images/bg-info.jpg) right center no-repeat;
  box-shadow: 0px 0px 120px rgba(0,0,0,0.2) inset;
}
.back-to-top{
  position: fixed;
  right: 30px;
  bottom: 30px;
  z-index: 99;
}
.top-hidden{ opacity: 0%;}
/* footer*/
.footer.copyright{
  padding: 25px 0px;
  font-size: 15px;
  border-top: 1px solid rgba(256, 256, 256, .1);
}
.footer.copyright a{
  display: inline-block;
  margin-right: 12px;
}
.footer.copyright a:hover{ color: var(--primary);}

@media screen and (max-width: 767.9px){
  .artwork-container .page-header{
    background: url(../images/bg-artworks-sm.jpg) center center no-repeat;
  }
  .info-container .page-header{
    background: url(../images/bg-info-sm.jpg) center center no-repeat;  }
}
@media screen and (max-width: 575.9px){
  .top-nav{ font-size: 17px;}
  .top-nav a{ margin: 0 4px;}
  .top-nav a:first-child{ margin-left: 0px;}
  .top-nav a:last-child{ margin-right: 0px;}
  .index-header{
    background: linear-gradient(rgba(0, 0, 0, .5), rgba(0, 0, 0, .4)), url(../images/mani-bn-1440x600px.jpg) center center no-repeat;
  }
  .page-header{ height: 400px;}
  
}
/* 
---------------------------------------------
Index
--------------------------------------------- 
*/
.index-title{
  border-left: solid 15px #69f0ae;
  padding-right: 20px;
}
.index-title h1{
  font-size: 4rem;
  margin: 15px 0;  
  color: #FFFFFF;
}
.index-title h4{
  color: #FFFFFF;
  font-size: 1.3rem;
}
/*選單項目*/
.menu-item {
  box-shadow: 0 0 45px rgba(0, 0, 0, .07);
  border: 1px solid transparent;
  transition: .5s;
  padding: 1.5rem 1.5rem 1rem 1.5rem;
}
.menu-item:hover {
  margin-top: -10px;
  box-shadow: none;
  border: 1px solid #DEE2E6;
}
.menu-item h4{ font-size: 1.2rem;}
.menu-item p{
  font-size: .9rem;
  margin-bottom: 0;
  color: #1c1d1f;
}
.title {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  font-weight: 700;
  line-height: 1;
}
.title-line::after {
  flex: 1;
  margin-left: 1rem;
  content: '';
  height: 2px;
  border: 8px solid #69f0ae;
  margin-top: 3px;
}
@media screen and (max-width: 575.9px){
  .index-title h1{ font-size: 2.4rem;}
  .title-line::after{ margin-left: 1.5rem}
  .menu-item:hover { margin-top: 0;}
}
/* 
---------------------------------------------
About
--------------------------------------------- 
*/
.section-title {
  border-left: solid 15px #69f0ae;
  padding-left: 0.75rem;
}
.section-title h6{ color: #626262;}
/*content*/
.img-frame{
  border-top: solid 1.5rem #69f0ae;
}
.img-content{
  padding: 3rem;
  line-height: 1;
}
.img-content h2{
  line-height: 1.4;
  margin-top: 4.5rem;
  letter-spacing: -1px;
}
.img-content p{
  font-size: 1.1rem;
  line-height: 1.7;
}
@media screen and (max-width: 575.9px){
  .img-content{ padding: 0 1rem;}
  .img-content p{ font-size: 16px; line-height: 1.7;}
  .img-content h2{ margin-top: 2rem;}
}
/* 
---------------------------------------------
Artworks
--------------------------------------------- 
*/
.text-bg-grey {
  color: #000;
  background-color: #e9edee;
  border-color: #e9edee;
  font-weight: 600;
  border-radius: 50rem;
  padding: .3rem 3rem;
  display: inline-block;
  margin: .5rem 1rem 0 0;
}
/*圖庫*/
.project-item img{
  width: 100%;
  height: 200px;
  object-fit: cover;
}
.project-item a {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #FFFFFF;
  background: rgba(0, 0, 0, .5);
  border-radius: 0px;
  opacity: 0;
  transition: .5s;
}
.project-item:hover a {
  opacity: 1;
}
/*Img Modal*/
.imgModal .modal-content {
  background-color: transparent;
  border: 0px solid rgba(0,0,0,.2);
}
.imgModal .btn-close {
  opacity: 1;
  line-height: 0;
  width: 40px;
  font-size: 18px;
  padding: 12px 12px 12px 80px!important;
  color: #fff;
  font-weight: 500;
  background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat;
}
.modal-backdrop.show{ opacity: 0.6;}
.img-modal{ 
  background-color: #ffffff;
  max-height: calc(100vh - 114px);
}
@media screen and (max-width: 575.9px){
  .imgModal .btn-close {
    font-size: 16px;
    font-weight: bold;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/0.8em auto no-repeat;
  }
}
/* 
---------------------------------------------
Traning
--------------------------------------------- 
*/
.selection{
  border-color: solid 1px #929292;
  border-bottom: solid 7px #69f0ae;  
  border-radius: 0;
}
.selection.selection-class{
  border-bottom: solid 0px #929292;
}
.selection .form-select{
  display: block;
  width: 100%;
  padding: .375rem 2.25rem .375rem .75rem;
  font-size: 1.1rem;
  line-height: 1.5;
  appearance: none;
  border-radius: 0;
  font-weight: 600;
}
/*學員card*/
.stu-card{
  display: block;
  position: relative;
  height: 360px;
}
.stu-card:hover img{
  transform:  
}
.stu-card img{
  position: relative;
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.stu-card:after{
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: linear-gradient(to bottom,  transparent,rgba(0,0,0,0.4) 100%);
  z-index: 1;
}
.stu-card .stu-name{
  position: absolute;
  bottom: 8px;
  left: 12px;
  font-size: 18px;
  font-weight: 700;
  color: #fff;
  text-shadow: 0px 0px 4px rgba(0,0,0,0.5);
  z-index: 2;
}
@media screen and (max-width: 575.9px){
  .stu-card{ height: 300px;}
}
/* 
---------------------------------------------
Student Profile
--------------------------------------------- 
*/
.stu-city{
  background-color: #F4F4F4;
  color: #444444;
  font-size: 12px;
  border-radius: 20px;
  font-weight: 700;
}
/* 圖片列表 */
.profile-container .project-item .img-eye-hover{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #FFFFFF;
  background: rgba(0, 0, 0, .5);
  border-radius: 0px;
  opacity: 0;
  transition: .5s;
}
.profile-container a.project-item:hover .img-eye-hover{
  opacity: 1;
}
/* 複製與分享列表 */
.copy-card{ 
  position: fixed;
  bottom: 8px;
  left: 0;
  width: 100%;
  opacity: 1;
  text-align: center;
}
.copy-card .flex-copy{
  border-right: 1px solid #D8D8D8;
}
.copy-card .btn-copy i{
  background-color: #D8D8D8;
  width: 30px;
  height: 30px;
  text-align: center;
  padding: 0px;
  line-height: 30px;
  border-radius: 50%;
}
.copy-card .btn-line,
.copy-card .btn-fb{
  padding: 0px;
  height: 30px;
  color: #505050;
}
.copy-card .btn-line i,
.copy-card .btn-fb i{
  color: #00B900;
  font-size: 30px;
  line-height: 30px;
  vertical-align: middle;
}
.copy-card .btn-fb i{ color: #1877F2;}
/* 幻燈片外掛樣式修改 */
.smartphoto{ background-color: rgba(0,0,0,0.7);}
.smartphoto-header{ background-color: transparent;}
.smartphoto-arrows li {
  width: 20px;
  height: 20px;
  border-radius: 50%;
}
.smartphoto-arrow-right{ padding: 8px 7px 8px 9px;}
.smartphoto-arrow-left{ padding: 8px 9px 8px 7px;}
/* 
---------------------------------------------
Crouse Information
--------------------------------------------- 
*/
.info-card,
.infoItem-card{
  background-color: #ffffff;
  box-shadow: 0px 1px 6px rgba(0,0,0,0.15);
}
.infoItem-card{ margin-bottom: 20px;}
.info-card .info-title{
  border-left: 20px solid #69F0AE;
  padding: 2px 12px;
  font-size: 24px;
  line-height: 1;
  font-weight: 700;
}
.info-card .info-hr{
  margin-top: 8px;
  margin-bottom: 20px;
  background-color: #4C4C4C;
  height: 2px;
  opacity: 1;
}
.infoItem-card .info-title{
  display: inline-block;
  padding: 8px 0px;
  border-bottom: 10px solid #69F0AE;
  font-size: 28px;
  font-weight: 600;
  line-height: 1.2;
  margin-bottom: 36px;
}
.info-content{ line-height: 1.6;}
.info-content li{
  line-height: 1.6;
  margin-bottom: 8px;
}
.info-slogan{
  background: url(../images/bg-slogan.jpg) center center no-repeat;
  background-size: cover;
  height: 400px;
}
.info-slogan h3{ text-shadow: 0px 0px 6px rgba(0,0,0,0.35);}
.btn-signup{
  color: #ffffff;
  background: #314FFE;
  font-weight: 600;
}
.btn-signup:hover{
  color: #ffffff;
  background: #0720B2;
}
@media screen and (max-width: 575.9px){
  .info-card .info-title{
    border-left: 16px solid #69F0AE;
    font-size: 20px;
  }
  .infoItem-card .info-title{
    border-bottom: 8px solid #69F0AE;
    font-size: 22px;
    margin-bottom: 28px;
  }
  .info-slogan{ height: 320px;}
}
/* 
---------------------------------------------
上傳資料頁
--------------------------------------------- 
*/
.upload-container .form-label{
  font-weight: 700;
}
.upload-container .form-upload{
  border-radius: 0px;
  padding: 0.375rem 0.75rem;

}
input[type=file].form-upload::-webkit-file-upload-button,
input[type=file].form-upload::file-selector-button{
  border-width: 0px;
  font-size: 15px;
  background-color: #69F0AE;
  margin: 1px 12px 1px -3px;
}
.data-container{ display: none;}
.btn-upload{
  color: #ffffff;
  background: #314FFE;
  font-weight: 600;
}
.btn-upload:hover{
  color: #ffffff;
  background-color: #0720B2;
}
.data-block{
  margin-bottom: 30px;
}
.data-block .info-title{ 
  border-left: 20px solid #69F0AE;
  padding: 2px 12px;
  line-height: 1;
  font-weight: 700;
}
.data-block a[aria-expanded='false'] i:before{content: "\f078";}
.data-block a[aria-expanded='true'] i:before{content: "\f077";}
/* data table */
.table-data{
  font-size: 14px;
  word-break: break-all;
}
.table-data thead tr th.th-sm{ min-width: 80px;}
.table-data thead tr th.th-md{ min-width: 120px;}
.table-data thead tr th.th-lg{ min-width: 140px;}
.table-data thead tr th.th-xl{ min-width: 180px;}
.table-data thead tr th{
  background-color: #ffffff;
  padding: 0.75rem 0.5rem;
  border-bottom: 1px solid #222222;
  font-size: 15px;
}
.table-data tbody{ border-top-width: 0px!important;}
.table-data tbody tr:nth-child(odd){
  background-color: #f5f5f5;
}
.table-data tbody tr td{
  padding: 0.75rem 0.5rem;
}
.table-data tbody tr td .ellipsis{
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}
/* loading animate */
.letter {
  display: inline-block;
  font-weight: 700;
  animation-name: loadingF;
  animation-duration: 1.6s;
  animation-iteration-count: infinite;
  animation-direction: linear;
}
.l-1{ animation-delay: 0.48s;}
.l-2{ animation-delay: 0.6s;}
.l-3{ animation-delay: 0.72s;}
.l-4{ animation-delay: 0.84s;}
.l-5{ animation-delay: 0.96s;}
.l-6{ animation-delay: 1.08s;}
.l-7{ animation-delay: 1.2s;}
.l-8{ animation-delay: 1.32s;}
@keyframes loadingF {
    0%{ opacity: 0;}
  100%{ opacity: 1;}
}
.custom-style1{
  width: 6rem; height: 6rem;
}
.custom-style2{
  font-size: 2em;
}
.custom-style3{
  top:30%;height:30px
}
.custom-style4{
  font-weight: bold; font-size: 0.9rem;
}
.custom-style5{
  width:100%;max-width:400px;padding:30px 60px;margin:0 auto;
}
.custom-style6{
  margin-bottom:20px
}
.custom-style7{
  width:100%
}
.custom-style8{
  text-align:center;padding:5px 0
}
.custom-style9{
  width:80px
}
#infoWord2 {
  word-wrap: break-word;
  white-space: normal;
}
.display-none{
  display:none
}